  inc(run1);
  run2:=0;
  white:=whitespace;
{$undef get} {$define get(X) readln(infile,X)}
{$undef get2}{$define get2(X,Y) begin read(infile,X); var i:integer; i:=ioresult; readln(infile,Y); if ioresult<>0 then err('unexpected I/O error in Readln'); InOutRes:=i end}
  testall;
{$undef get} {$define get(X) begin readln(infile,instr);readstr(instr,X) end}
{$undef get2}{$define get2(X,Y) begin readln(infile,instr);readstr(instr,X,Y) end}
  testall;
{$undef get} {$define get(X) begin readln(infile,inbuf);readstr(inbuf,X) end}
{$undef get2}{$define get2(X,Y) begin readln(infile,inbuf);readstr(inbuf,X,Y) end}
  testall;
  white:=false;
{$undef get} {$define get(X) begin readln(infile,instr);val(instr,X,InOutRes) end}
{$undef get2}{$define get2(X,Y)
                begin
                  var e:integer;
                  readln(infile,instr);
                  val(instr,X,e);
                  val(Copy(instr,1,e-1),X,InOutRes);
                  if InOutRes=0 then val(Copy(instr,e,Length(instr)-e+1),Y,InOutRes)
                end}
  testnum;
